weka.core.pmml.jaxbbindings

## Class Apply

- java.lang.Object
- - weka.core.pmml.jaxbbindings.Apply

-     public class Apply
      extends java.lang.Object

  Java class for Apply element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="Apply">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
                 <group ref="{http://www.dmg.org/PMML-4_1}EXPRESSION" maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
               <attribute name="function" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="invalidValueTreatment" type="{http://www.dmg.org/PMML-4_1}INVALID-VALUE-TREATMENT-METHOD" default="returnInvalid" />
               <attribute name="mapMissingTo" type="{http://www.w3.org/2001/XMLSchema}string" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Apply()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.Object>` | `getEXPRESSION()` Gets the value of the expression property.
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `java.lang.String` | `getFunction()` Gets the value of the function property.
    `INVALIDVALUETREATMENTMETHOD` | `getInvalidValueTreatment()` Gets the value of the invalidValueTreatment property.
    `java.lang.String` | `getMapMissingTo()` Gets the value of the mapMissingTo property.
    `void` | `setFunction(java.lang.String value)` Sets the value of the function property.
    `void` | `setInvalidValueTreatment(INVALIDVALUETREATMENTMETHOD value)` Sets the value of the invalidValueTreatment property.
    `void` | `setMapMissingTo(java.lang.String value)` Sets the value of the mapMissingTo property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Apply

          public Apply()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getEXPRESSION

          public java.util.List<java.lang.Object> getEXPRESSION()

      Gets the value of the expression property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the expression property.

      For example, to add a new item, do as follows:

              getEXPRESSION().add(newItem);

      Objects of the following type(s) are allowed in the list `Apply` `Discretize` `NormContinuous` `MapValues` `Constant` `Aggregate` `FieldRef` `NormDiscrete`

    - #### getFunction

          public java.lang.String getFunction()

      Gets the value of the function property.
      Returns:
        possible object is `String`

    - #### setFunction

          public void setFunction(java.lang.String value)

      Sets the value of the function property.
      Parameters:
        `value` - allowed object is `String`

    - #### getInvalidValueTreatment

          public INVALIDVALUETREATMENTMETHOD getInvalidValueTreatment()

      Gets the value of the invalidValueTreatment property.
      Returns:
        possible object is `INVALIDVALUETREATMENTMETHOD`

    - #### setInvalidValueTreatment

          public void setInvalidValueTreatment(INVALIDVALUETREATMENTMETHOD value)

      Sets the value of the invalidValueTreatment property.
      Parameters:
        `value` - allowed object is `INVALIDVALUETREATMENTMETHOD`

    - #### getMapMissingTo

          public java.lang.String getMapMissingTo()

      Gets the value of the mapMissingTo property.
      Returns:
        possible object is `String`

    - #### setMapMissingTo

          public void setMapMissingTo(java.lang.String value)

      Sets the value of the mapMissingTo property.
      Parameters:
        `value` - allowed object is `String`